1. Service
Tjar
  • 🗂️ Overview
  • 🚀 Start Here
  • Orders
    • List Orders
      GET
    • Get Order Details
      GET
    • Order Statuses
      GET
    • Create Order
      POST
    • Change Order Status
      POST
  • Products
    • Digital
      • Create Digital Product
      • Get Digital Product Details
      • Update Digital Product
    • Booking
      • Get Booking Product Details
      • Create Booking Product
      • Update Booking Product
    • Service
      • Get Service Product
        GET
      • Create Service Product
        POST
      • Update Service Product
        PATCH
    • List All Products
      GET
    • Get Product Details
      GET
    • Create Product
      POST
    • Update Product
      PATCH
    • Delete Product
      DELETE
  • Media
    • Upload Media
      POST
    • Upload Multiple Media
      POST
    • Update Media
      POST
  • Webhook
    • List Webhooks
      GET
    • Register Webhook
      POST
    • Update Webhook
      PUT
    • Delete Webhook
      DELETE
    • Verify Signature
      POST
    • Refresh Secret
      POST
    • Webhook Events
      GET
  • Abandoned Cart
    • List Abandoned Carts
    • Get Abandoned Cart Details
    • Send Reminder
  1. Service

Create Service Product

Developing
POST
/products/service
Last modified:2026-03-18 21:32:24

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢201Created
application/json
Body

🟠422Validation Error
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/products/service' \
--header 'Accept: application/json' \
--header 'Accept-Language: {{lang}}' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name_ar": "خدمة تصميم مواقع احترافية",
    "name_en": "Professional Website Design Service",
    "summery_ar": "خدمة تصميم مواقع ويب احترافية بأحدث التقنيات",
    "summery_en": "Professional web design service using the latest technologies",
    "description_ar": "نقدم خدمة تصميم مواقع ويب احترافية شاملة تتضمن التصميم والتطوير والنشر",
    "description_en": "We provide a comprehensive professional web design service including design, development, and deployment",
    "sale_price": 199.99,
    "price": 249.99,
    "sku": "SRV-WEB-001",
    "slug": "professional-website-design-service",
    "status_id": 1,
    "image_id": 734,
    "product_gallery": [
        736,
        736,
        736,
        736
    ],
    "brand_id": 1,
    "badge_id": 2,
    "category": [
        1,
        2
    ],
    "sub_category": [
        1
    ],
    "child_category": [
        1
    ],
    "tags": [
        "web design",
        "development",
        "responsive"
    ],
    "is_refundable": false,
    "policy_description": "Full refund within 7 days if not satisfied",
    "video_source": "youtube",
    "video_id": "dQw4w9WgXcQ",
    "general_title": "Professional Website Design Service",
    "general_description": "Get a professional website designed by experts",
    "general_image": 736,
    "facebook_title": "Professional Website Design Service",
    "facebook_description": "Get your dream website designed by our expert team",
    "facebook_image": 736,
    "twitter_title": "Professional Website Design Service",
    "twitter_description": "Expert website design service at affordable prices",
    "twitter_image": 736,
    "product_options": [
        {
            "type": "radio",
            "title": {
                "ar": "مدة الدعم",
                "en": "Support Duration"
            },
            "subTitle": {
                "ar": "اختر مدة الدعم",
                "en": "Choose support duration"
            },
            "isRequired": true,
            "multiSelect": false,
            "options": {
                "ar": {
                    "شهر واحد": 0,
                    "3 أشهر": 50,
                    "6 أشهر": 90
                },
                "en": {
                    "1 Month": 0,
                    "3 Months": 50,
                    "6 Months": 90
                }
            }
        },
        {
            "type": "checkbox",
            "title": {
                "ar": "خدمات إضافية",
                "en": "Additional Services"
            },
            "subTitle": {
                "ar": "اختر الخدمات الإضافية",
                "en": "Choose additional services"
            },
            "isRequired": false,
            "multiSelect": true,
            "options": {
                "ar": {
                    "تحسين SEO": 30,
                    "تكامل وسائل التواصل": 20
                },
                "en": {
                    "SEO Optimization": 30,
                    "Social Media Integration": 20
                }
            }
        },
        {
            "type": "text",
            "title": {
                "ar": "ملاحظات إضافية",
                "en": "Additional Notes"
            },
            "subTitle": {
                "ar": "أضف ملاحظاتك",
                "en": "Add your notes"
            },
            "isRequired": false,
            "multiSelect": false,
            "options": null
        }
    ],
    "related_products": [
        128
    ],
    "release_date": "2025-01-01",
    "update_date": "2026-01-15",
    "preview_link": "https://example.com/preview/website-design"
}'
Response Response Example
201 - Example 1
{
    "status": "success",
    "message": "Service product created successfully",
    "data": {
        "id": 214,
        "identifier": 214,
        "name": {
            "ar": "خدمة تصميم مواقع احترافية",
            "en": "Professional Website Design Service"
        },
        "summary": {
            "ar": "خدمة تصميم مواقع ويب احترافية بأحدث التقنيات",
            "en": "Professional web design service using the latest technologies"
        },
        "description": {
            "ar": "نقدم خدمة تصميم مواقع ويب احترافية شاملة تتضمن التصميم والتطوير والنشر",
            "en": "We provide a comprehensive professional web design service including design, development, and deployment"
        },
        "type": "service",
        "price": 249.99,
        "sale_price": 199.99,
        "is_refundable": false,
        "min_purchase": 1,
        "max_purchase": null,
        "image": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/648a9230df7051763823180.jpg",
        "is_published": true,
        "ratings": null,
        "created_at": "2026-03-19 00:30:59",
        "updated_at": "2026-03-19 00:30:59",
        "brand": {
            "id": 1,
            "title": "",
            "name": {
                "ar": "Brand A",
                "en": "Brand A"
            },
            "description": {
                "ar": "Brand A",
                "en": "Brand A"
            },
            "logo": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/download1748277198.jpg",
            "banner": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/download1748277198.jpg"
        },
        "tags": [
            {
                "id": 506,
                "tag_name": "web design"
            },
            {
                "id": 507,
                "tag_name": "development"
            },
            {
                "id": 508,
                "tag_name": "responsive"
            }
        ],
        "categories": [
            {
                "id": 1,
                "name": {
                    "ar": "Elektronik",
                    "en": "Elektronik"
                },
                "description": {
                    "ar": "Elektronik",
                    "en": "Elektronik"
                },
                "image": "http://b56tf.store.test/assets/img/no-image.jpg"
            },
            {
                "id": 2,
                "name": {
                    "ar": "Pakaian",
                    "en": "Pakaian"
                },
                "description": {
                    "ar": "Pakaian",
                    "en": "Pakaian"
                },
                "image": "http://b56tf.store.test/assets/img/no-image.jpg"
            }
        ]
    }
}
Modified at 2026-03-18 21:32:24
Previous
Get Service Product
Next
Update Service Product
Built with